Subject: Woodlot management

From: [email-masked] (Kevin P. Therkildsen)
Date: Wed, 30 Aug 95 09:04:54 GMT

I am in the process of buying a property that has fully mature, native Ontario 
trees on it. The woodlot seems to need management (thinning etc.) to let
 the remaining trees become large. Does anyone have any information,
 or sources of information. Appreciate any help on this. Thank you.